# Code Review Changes

Original tables with verbatim feedback can be found in [this Google Doc](https://docs.google.com/document/d/19d5U-ieQyGVVNQjj0rUouzIqF53evEP6yss-wyqNXiQ/edit?usp=sharing).

|Comment|Adjustment|
|-------|----------|
|Some variables are unused.| Some unused variables needed for external library configuration; others have been removed in the process of refactoring.|
|Comments are lacking.| File has been thoroughly commented.|
|Replace `coord*x` and `coord*y` with arrays (undo unroll). | No action taken. The variables are this way due to the restrictions of the team's protobuf library, which is the only library capable of generating code small enough to fit on the hardware.|
|Few unit tests.|Some unit tests added to the code for encoding and decoding.|
